Bug 203247 - rpm -i --test does not work properly
rpm -i --test does not work properly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
:
: 203251 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-19 15:24 EDT by Mohamed A. Rabie
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 09:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohamed A. Rabie 2006-08-19 15:24:33 EDT
Description of problem:
When I run the test installation command shown below, the x windows crashes in 
the next reboot of the system. Should this happen given that the test option 
should not actually install any software but rather just perform a test for 
the installation? I think this might be a bug in the RPM itself.

Version-Release number of selected component (if applicable):
4.4.2-15.2

How reproducible:
Every time I go through the steps described below

Steps to Reproduce:
1.Download Fedora Core 5 
2.Install Fedora Core 5 with with the software development checkbox checked
3.Download XFree86-devel-4.3.0-55.i386.rpm
4.Install the software required by XFree86-devel
5.Enter: rpm -i --test XFree86-devel-4.3.0-55.i386.rpm
6.Restart the system
  
Actual results:
You will find that the XWindows crashed.

Expected results:
Should have no effect on the installed XWindows

Additional info:
Comment 1 Mohamed A. Rabie 2006-08-23 18:00:01 EDT
Save problem happens with version 4.4.2-31
Comment 2 Mohamed A. Rabie 2006-08-23 19:18:35 EDT
(In reply to comment #1)
> Save problem happens with version 4.4.2-31

I mean same problem happens with version 4.4.2-31
Comment 3 Jeff Johnson 2007-04-20 08:13:49 EDT
Installing XFree86-devel is likely not the right thing to do on fc5.

Doing
   4.Install the software required by XFree86-devel
is likely what broke your system, not rpm -i --test.

NOTABUG
Comment 4 Panu Matilainen 2007-06-27 09:07:16 EDT
*** Bug 203251 has been marked as a duplicate of this bug. ***
Comment 5 Panu Matilainen 2007-06-27 09:12:21 EDT
Yup, XFree86-devel on FC5 is not at all the right thing to do. If step 4) wasn't
present this could be treated as a real bug.

There is a bug in FC5 rpm where %pretrans and %posttrans scripts can be run even
in --test mode which *could* cause something like this. That's fixed in rawhide
now, FC5 is EOL anyway.

Note You need to log in before you can comment on or make changes to this bug.